org.apache.solr.schema

## Class SchemaManager

- java.lang.Object
- - org.apache.solr.schema.SchemaManager

-     public class SchemaManager
      extends Object

  A utility class to manipulate schema using the bulk mode. This class takes in all the commands and processes them completely. It is an all or nothing operation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SchemaManager.OpType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaManager(SolrQueryRequest req)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getErrorStr(Exception e)`
    `static ManagedIndexSchema` | `getFreshManagedSchema(SolrCore core)`
    `List` | `performOperations(Reader reader)` Take in a JSON command set and execute them.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaManager

          public SchemaManager(SolrQueryRequest req)

  - ### Method Detail

    - #### performOperations

          public List performOperations(Reader reader)
                                 throws Exception

      Take in a JSON command set and execute them. It tries to capture as many errors as possible instead of failing at the first error it encounters
      Parameters:
        `reader` - The input as a Reader
      Returns:
        List of errors. If the List is empty then the operation was successful.
      Throws:
        `Exception`

    - #### getErrorStr

          public static String getErrorStr(Exception e)

    - #### getFreshManagedSchema

          public static ManagedIndexSchema getFreshManagedSchema(SolrCore core)
                                                          throws IOException,
                                                                 org.apache.zookeeper.KeeperException,
                                                                 InterruptedException

      Throws:
        `IOException`
        `org.apache.zookeeper.KeeperException`
        `InterruptedException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.